function init(hero) {
    hero.setName("Silver Surfer");
    hero.setTier(10);
    
	hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("pack:cosmic","fiskheroes:intangibility","fiskheroes:water_breathing", "fiskheroes:bullet_immunity", "fiskheroes:superhuman_durability", "fiskheroes:leaping", "fiskheroes:explosion_immunity", "fiskheroes:fire_immunity", "fiskheroes:healing_factor", "fiskheroes:cold_resistance");
 
	hero.addAttribute("WEAPON_DAMAGE", 40, 0);
    hero.addAttribute("PUNCH_DAMAGE", 44, 0);
    hero.addAttribute("SPRINT_SPEED", 0.55, 1);
   // hero.addAttribute("SWORD_DAMAGE", 33.5, 0); 
    hero.addAttribute("FALL_RESISTANCE", 100.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 5.0, 0);

    hero.setDefaultScale(1.1);
	

	 hero.addKeyBind("ENERGY_PROJECTION", "Cosmic Beam", 2);
    hero.addKeyBind("INTANGIBILITY", "key.intangibility", 5);
	hero.addKeyBind("CHARGED_BEAM", "Cosmic Blast", 3);
    hero.addKeyBind("SHIELD", "key.forcefield", 4);
    hero.addKeyBind("TELEKINESIS", "Forcefield Grab", 1);
	//    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 4);
	
	
	
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}